# Class: YARD::CodeObjects::ConstantObject

Inherits:
  Base
  - Object
  - Base
  - YARD::CodeObjects::ConstantObject
  show all

Defined in:
  lib/yard/code_objects/constant_object.rb

## Overview

A `ConstantObject` represents a Ruby constant (not a module or class). To access the constant’s (source code) value, use #value.

## Instance Attribute Summary collapse

- #value ⇒ String

  The source code representing the constant’s value.

## Constructor Details

This class inherits a constructor from YARD::CodeObjects::Base

## Dynamic Method Handling

This class handles dynamic methods through the `method_missing` method in the class YARD::CodeObjects::Base

## Instance Attribute Details

### #value ⇒ `String`

The source code representing the constant’s value

Returns:

- (`String`) —

  the value the constant is set to

    10
    11
    12

    # File 'lib/yard/code_objects/constant_object.rb', line 10

    def value
      @value
    end